"""Automatic verification of ANUGA using Patong Beach validation scenario.
See functions exercised by this wrapper for more details and also the publication (TBA).
"""

import unittest
import os


class Test_flow(unittest.TestCase):
    def setUp(self):
        for file in os.listdir('.'):    
            if file.endswith('.stdout') or\
                    file.endswith('.sww') or\
                    file.endswith('.msh'):
                os.remove(file)
                
        
    def tearDown(self):
        pass

    def test_inflow_using_flowline(self):
        """Exercise Patong Validation Scenario for three resolutions and
        compare timeseries from modelled results against reference model.
        """
        
        #print
        s = 'test_patong_scenario.py'
        #print s
        res = os.system('python %s > test_patong_scenario.stdout' % s)
        assert res == 0


#-------------------------------------------------------------
if __name__ == '__main__':
    suite = unittest.makeSuite(Test_flow, 'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
